# Rate my app !

This plugin allows to kindly ask users to rate your app if custom conditions are met (eg. install time, number of launches, etc...).

Rate my app is really inspired by [Android-Rate](https://github.com/hotchemi/Android-Rate/).

## How it works

_Rate my app_ takes two parameters :

1. `minDays` Minimum elapsed days since the first app launch.
2. `minLaunches` Minimum launches.

If everything above is verified, the method `shouldOpenDialog` will return `true` (`false` otherwise).
Then you should call `showRateDialog` which is going to show a native rating dialog on iOS and a custom rating prompt dialog on Android.

## Screenshots

### On Android

![Android screenshot](https://github.com/Skyost/rate_my_app/blob/master/screenshots/android.png)

### On iOS

No screenshot for the moment. If you have one, please don't hesitate to submit it !

## Example

```dart
RateMyApp rateMyApp = RateMyApp(
  minDays: 7,
  minLaunches: 10,
  remindDays: 7,
  remindLaunches: 10,
);
rateMyApp.init();

if(rateMyApp.shouldOpenDialog) {
  rateMyApp.showRateDialog(
    context,
      title: 'Rate this app',
      message: 'If you like this app, please take a little bit of your time to review it !\nIt really helps us and it shouldn\'t take you more than one minute.',
      rateButton: 'RATE',
      noButton: 'NO THANKS',
      laterButton: 'MAYBE LATER',
  );
}
```

## Dependencies

This library depends on two other libraries :

* [app_review](https://pub.dartlang.org/packages/app_review)
* [shared_preferences](https://pub.dartlang.org/packages/shared_preferences)

Please note that `app_review` requires you to do some added steps for the plugin to work (see _[How to use](https://pub.dartlang.org/packages/app_review#how-to-use)_ paragraph) :

> It's important to note that the App ID must match the App ID in Google Play and iTunes Connect. This can be changed in the Info.plist on iOS and app/build.gradle on Android. You will use this App ID for other services like Firebase, Admob and publishing the app.